dwarf2sources(1)

NAME
dwarf2sources - list the source files for a given binary

SYNOPSIS
dwarf2sources [-o output.json] [-s strip-prefix] [file]...

DESCRIPTION
dwarf2sources lists the source files that were used to create a given binary in JSON format. The input files must not be stripped and must contain debugging information in DWARF format.

-h, --help
    Prints help information

-V, --version
    Prints version information

-o, --output <output>
    File to write JSON output to

-s, --strip-prefix <strip-prefix>
    Strip given prefix from comp_dir paths

AUTHORS
This program was written by Sjoerd Simons based on the gimli 0.16.1 dwarfdump.rs example by Nick Fitzgerald, Philip Craig and other rust-dwarf developers.

SEE ALSO
objdump(1), strip(1)